package game

import (
	"sirlab.de/go/knyt/engine"
	"sirlab.de/go/knyt/statement"
	"sync"
)

const (
	STATE_IDLE             = "idle"
	STATE_ENTER_STATEMENTS = "enter-statements"
	STATE_PLAY             = "play"
)

type playerInfo struct {
	id        string
	name      string
	isPlaying bool
	isIdle    bool
}

type Game struct {
	mu         sync.Mutex
	id         string
	name       string
	players    map[string]playerInfo
	eng        *engine.Engine
	state      string
	statements map[string]map[string]*statement.Statement
}

type GameJson struct {
	Name string `json:"name"`
}
